{
  "name": "chronicler",
  "displayName": "liveCoding",
  "description": "Visual Studio Session Recorder",
  "version": "0.1.0",
  "publisher": "devsquad",
  "repository": {
    "type": "git",
    "url": "https://github.com/"
  },
  "extensionDependencies": [
    "ms-vsliveshare.vsliveshare",
    "karigari.chat",
    "lostintangent.vsls-whiteboard",
   "ms-vsliveshare.vsliveshare-audio"
  ],
  "keywords": [
    "Editor Recording",
    "Video Recording",
    "Session Recording",
    "Audio Recording",
    "Animated GIFs"
  ],
  "engines": {
    "vscode": "^1.30.1"
  },
  "categories": [
    "Other"
  ],
  "activationEvents": [
    "onFileSystem:vsls",
    "onCommand:liveshare.start",
    "onCommand:liveshare.startFromActivityBar",
    "onCommand:liveshare.startReadOnly",
    "onCommand:liveshare.end",
    "onCommand:liveshare.startReadOnlyFromActivityBar",
    "onCommand:liveshare.startReadOnlyFromSessionExplorer",
    "onCommand:chronicler.record",
    "onCommand:chronicler.stop",
    "onCommand:chronicler.relivesession",
    "onCommand:chronicler.rec",
    "onCommand:liveshare.openWhiteboard",
    "onCommand:liveshare.saveWhiteboard",
    "onCommand:liveshare.audio.leaveAudio",
    "onCommand:liveshare.audio.startOrJoinAudio"
  ],
  "icon": "images/logo.png",
  "galleryBanner": {
    "color": "#c6cdd3",
    "theme": "light"
  },
  "main": "./out/extension",
  "contributes": {
    "commands": [
      {
        "title": "Start session",
        "category": "liveRecorder",
        "command": "liveshare.startReadOnly"
      },
      {
        "title": "Stop session",
        "category": "liveRecorder",
        "command": "liveshare.end"
      },
      {
        "title": "Join session",
        "category": "liveRecorder",
        "command": "liveshare.join"
      },
      {
        "title": "Start call",
        "category": "liveRecorder",
        "command": "liveshare.audio.startOrJoinAudio"
      },
      {
        "title": "Open whiteBoard",
        "category": "liveRecorder",
        "command": "liveshare.openWhiteboard"
      },
      {
        "title": "Save whiteBoard",
        "category": "liveRecorder",
        "command": "liveshare.saveWhiteboard"
      },
      {
        "title": "Stop call",
        "category": "liveRecorder",
        "command": "liveshare.audio.leaveAudio"
      },
      {
        "title": "relivesession",
        "category": "liveRecorder",
        "command": "chronicler.relivesession"
      },
      {
        "title": "Start Recording",
        "category": "liveRecorder",
        "command": "chronicler.record"
      },
      {
        "title": "Start Rec",
        "category": "liveRecorder",
        "command": "chronicler.rec"
      },
      {
        "title": "Start Recording GIF",
        "category": "liveRecorder",
        "command": "chronicler.recordGif"
      },
      {
        "title": "Start Recording with Audio",
        "category": "liveRecorder",
        "command": "chronicler.recordWithAudio"
      },
      {
        "title": "Start Timed-Recording",
        "category": "liveRecorder",
        "command": "chronicler.recordWithDuration"
      },
      {
        "title": "Stop Recording",
        "category": "liveRecorder",
        "command": "chronicler.stop"
      }
    ],
    "keybindings": [
      {
        "key": "ctrl+alt+shift+r",
        "mac": "cmd+alt+shift+r",
        "command": "chronicler.record"
      },
      {
        "key": "ctrl+alt+shift+s",
        "mac": "cmd+alt+shift+s",
        "command": "chronicler.stop"
      }
    ],
    "configuration": [
      {
        "title": "liveRecorder",
        "properties": {
          "chronicler.ffmpeg-binary": {
            "description": "FFmpeg Binary Location",
            "type": "string"
          },
          "chronicler.dest-folder": {
            "description": "Output Folder for Captures",
            "type": "~/Recordings"
          },
          "chronicler.recording-defaults": {
            "description": "Recording defaults",
            "type": "object",
            "default": {
              "fps": 10,
              "countdown": 5
            }
          },
          "chronicler.debug": {
            "description": "Run with debug logging enabled",
            "type": "boolean"
          },
          "chronicler.auto-record-live-share": {
            "description": "Specifies whether recording should automatically start and stop when in a Live Share session",
            "type": "boolean",
            "default": false
          }
        }
      }
    ]
  },
  "scripts": {
    "vscode:prepublish": "npm run compile",
    "compile": "tsc -p ./",
    "watch": "tsc -watch -p ./",
    "postinstall": "node ./node_modules/vscode/bin/install",
    "test": "npm run compile && node ./node_modules/vscode/bin/test"
  },
  "devDependencies": {
    "@rollup/plugin-commonjs": "^17.1.0",
    "@rollup/plugin-node-resolve": "^11.2.0",
    "@rollup/plugin-typescript": "^8.2.0",
    "@tsconfig/svelte": "^1.0.10",
    "@types/glob": "^7.1.3",
    "@types/mocha": "^8.0.4",
    "@types/node": "^12.11.7",
    "@types/vscode": "^1.53.0",
    "@typescript-eslint/eslint-plugin": "^4.14.1",
    "@typescript-eslint/parser": "^4.14.1",
    "concurrently": "^6.0.0",
    "eslint": "^7.19.0",
    "glob": "^7.1.6",
    "mocha": "^8.2.1",
    "rollup-plugin-svelte": "^7.1.0",
    "rollup-plugin-terser": "^7.0.2",
    "svelte": "^3.35.0",
    "svelte-check": "^1.2.0",
    "svelte-preprocess": "^4.6.9",
    "ts-loader": "^8.0.14",
    "typescript": "^4.1.3",
    "vscode-test": "^1.5.0",
    "webpack": "^5.19.0",
    "webpack-cli": "^4.4.0"
  },
  "dependencies": {
    "@arcsine/screen-recorder": "^0.1.5",
    "child_process": "^1.0.2",
    "connect": "^3.7.0",
    "express": "^4.17.1",
    "nodemailer": "^6.5.0",
    "redux-saga": "^1.1.3",
    "serve-static": "^1.14.1",
    "vsls": "^0.3.1291"
  }
}
